import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:get/get_utils/get_utils.dart';
import 'package:hgg_base/src/utils/x_sp.dart';

import '../../hgg_base.dart';

class XHggInit {
  static init([bool showMapLog = false]) async {
    ExMap.showMapLog = showMapLog;
    // 初始化 快速存储库
    await XSp.init();

    //透明状态栏
    if (GetPlatform.isAndroid) {
      SystemChrome.setSystemUIOverlayStyle(
        const SystemUiOverlayStyle(statusBarColor: Colors.transparent),
      );
    }
    // 强制竖屏
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.portraitUp,
      DeviceOrientation.portraitDown,
    ]);
  }
}
